<template>
<div>
  <svg id="icon-loader" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg">
    <path
      d="M 10.454 14.092 C 9.784 15.803 7.845 20.757 7.186 22.445 C 7.142 22.556 7.21 22.677 7.337 22.714 C 7.566 22.781 8.025 22.916 8.255 22.984 C 8.39 23.025 8.54 22.984 8.626 22.885 C 10.623 20.581 16.49 13.807 18.492 11.496 C 18.561 11.416 18.573 11.309 18.523 11.219 C 18.411 11.015 18.155 10.555 18.043 10.353 C 17.991 10.259 17.885 10.201 17.767 10.201 C 16.682 10.201 13.549 10.201 12.447 10.201 C 12.398 10.201 12.363 10.157 12.381 10.116 C 13.139 8.383 15.344 3.342 16.093 1.628 C 16.137 1.529 16.081 1.417 15.967 1.379 C 15.726 1.297 15.143 1.098 14.886 1.01 C 14.813 0.985 14.73 1.007 14.682 1.061 C 12.64 3.388 6.622 10.255 4.586 12.575 C 4.516 12.656 4.49 12.76 4.513 12.858 C 4.569 13.088 4.684 13.562 4.737 13.776 C 4.769 13.91 4.905 14.006 5.061 14.006 C 6.146 14.006 9.264 14.006 10.383 14.006 C 10.434 14.006 10.469 14.05 10.454 14.092 Z"
      opacity="1"
      fill-opacity="0" />
    />
    <path
      d="M 10.454 14.092 C 9.784 15.803 7.845 20.757 7.186 22.445 C 7.142 22.556 7.21 22.677 7.337 22.714 C 7.566 22.781 8.025 22.916 8.255 22.984 C 8.39 23.025 8.54 22.984 8.626 22.885 C 10.623 20.581 16.49 13.807 18.492 11.496 C 18.561 11.416 18.573 11.309 18.523 11.219 C 18.411 11.015 18.155 10.555 18.043 10.353 C 17.991 10.259 17.885 10.201 17.767 10.201 C 16.682 10.201 13.549 10.201 12.447 10.201 C 12.398 10.201 12.363 10.157 12.381 10.116 C 13.139 8.383 15.344 3.342 16.093 1.628 C 16.137 1.529 16.081 1.417 15.967 1.379 C 15.726 1.297 15.143 1.098 14.886 1.01 C 14.813 0.985 14.73 1.007 14.682 1.061 C 12.64 3.388 6.622 10.255 4.586 12.575 C 4.516 12.656 4.49 12.76 4.513 12.858 C 4.569 13.088 4.684 13.562 4.737 13.776 C 4.769 13.91 4.905 14.006 5.061 14.006 C 6.146 14.006 9.264 14.006 10.383 14.006 C 10.434 14.006 10.469 14.05 10.454 14.092 Z"
      opacity="1"
      fill-opacity="0"/>
    />
  </svg>
  </div>
</template>

<script>
export default {};
</script>

<style lang="scss" scoped>

$speed: 2.5s;

#icon-loader {
  width: 100%;
}

#icon-loader path {
  stroke: $icon-color;
  stroke-opacity: 1;
  stroke-linecap: round;
  stroke-dasharray: 33.1;
}

#icon-loader path:first-child {
  stroke-dashoffset: 22;
  animation: dash1 $speed linear infinite;
}

@keyframes dash1 {
  to {
    stroke-dashoffset: -44.2;
  }
}

#icon-loader path:nth-child(2) {
  stroke-dashoffset: 66.20;
  animation: dash2 $speed linear infinite;
}

@keyframes dash2 {
  to {
    stroke-dashoffset: 0;
  }
}

</style>